Smart Agent Teams
EndpointsAuthentication

Get Current User Info

Get current user information Returns information about the currently authenticated user.

GET
/api/me

Get current user information

Returns information about the currently authenticated user.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Response Body

Successful Response

application/json
  1. response

User information response

avatar_url?string|null
created_at*Created At
Formatdate-time
email*Email
id*Id
Formatuuid
name*Name
preferences?

Every field optional: absent means "the app's default".

curl -X GET "https://example.com/api/me"
{  "avatar_url": "string",  "created_at": "2019-08-24T14:15:22Z",  "email": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "preferences": {    "accent": "royal",    "avatar_color": "royal",    "currency": "string",    "dashboard": {      "hidden": [        "string"      ],      "order": [        "string"      ],      "range_days": 7    },    "date_style": "short",    "density": "comfortable",    "favorites": {      "agents": [        "ce0951b6-fac0-429c-be9b-31a1ce20b503"      ],      "projects": [        "eaf709ed-5ed9-42a1-a0ca-f919f2d075df"      ]    },    "locale": "string",    "sidebar_collapsed": true,    "tasks": {      "saved_views": [        {          "id": "string",          "name": "string",          "query": ""        }      ],      "view": "list"    },    "theme": "light",    "timezone": "string",    "version": 1  }}